%define upstream_name    Scalar-List-Utils
%define upstream_version 1.23

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	List utilities (eg min, max, reduce)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel


%description
'List::Util' contains a selection of subroutines that people have expressed
would be nice to have in the perl core, but the usage would not really be
high enough to warrant the use of a keyword, and the size so small such
that being individual extensions would be wasteful.

By default 'List::Util' does not export any subroutines. The subroutines
defined are

* first BLOCK LIST

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 12 2011 sander85 <sander85> 1.230.0-6.mga2
+ Revision: 104952
- Rebuild for perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 1.230.0-5.mga1
+ Revision: 53702
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.230.0-4.mga1
+ Revision: 31126
- mageia rebuild
- imported package perl-Scalar-List-Utils

